Bug 77563 - Redhat 8.0 will not install on single processor AMD MPX based systems
Redhat 8.0 will not install on single processor AMD MPX based systems
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
8.0
athlon Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brock Organ
http://van-dijk.net/linuxkernel/20020...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-11-08 21:16 EST by Yan-Fa Li
Modified: 2008-08-01 12:22 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:40:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Yan-Fa Li 2002-11-08 21:16:10 EST
Description of Problem:
I'm having exactly the same problem as this guy:

http://van-dijk.net/linuxkernel/200204/0054.html.gz

Version-Release number of selected component (if applicable):
8.0 kernel installer, trying to do a bootnet.

How Reproducible:
Apparently any AMD MPX based motherboard.  The above with
Asus, I've seen reports of problems with MSI and I have an
Iwill MPX2.  It seems to be a specific APIC routing issue
with single CPUs.  I do not have access to a second CPU
to test if the problem goes away.  I will attempt
to compile another redhat kernel with no APIC support.

I think it would be great if you supplied a new bootnet.img
or series of images that had the apic disabled, or at the
very least a VMLINUZ file we could patch our redhat floppies with.

Steps to Reproduce:
1. Try and Install 8.0 on any AMD MPX based system
2. 
3. 

Actual Results:
APIC errors 04

Expected Results:
A successful installation

Additional Information:
An IWILL MPX2 with single AMD MP2000 CPU, 1G of DDR, 20GB HD.

Yes I've tried noapic and apic options the error is exactly
the same.  Latest BIOS from IWILLs website has been flashed.
Apparently 7.3 loads just fine, but I really want 8.0.

Thanks
Comment 1 Yan-Fa Li 2002-11-09 03:52:30 EST
so I did some tinkering with the bootdisk images and got it
to load, having problems with the exact .config I need to
a BOOT image but almost there.  It seems to boot fine and
work if all apic code is disabled in .config.

For the time being I will work with custom VMLINUZ and
INITRD.IMG
Comment 2 Michael Fulbright 2002-11-11 10:41:20 EST
This appears to be a kernel issue.
Comment 3 Marc Schmitt 2003-01-16 08:07:16 EST
I updated the RedHat 7.3 CDs with the latest errata, including kernel 2.4.18-19.7.x.
7.3 used to install fine with the original installer kernel (2.4.18-3), but now
I get the same errors as you with RH 8.0, impossible to install on a Tyan Tiger MPX.
Comment 4 Bugzilla owner 2004-09-30 11:40:10 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.